For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create PasswordPolicy

Creates a new PasswordPolicy.

The full PasswordPolicy needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
201

PasswordPolicy successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the PasswordPolicy.

Example: 70323699-7c28-58e7-9e0c-ff644f6947a5
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the PasswordPolicy.

Example: /passwordpolicies/70323699-7c28-58e7-9e0c-ff644f6947a5
post/passwordpolicies
POST /passwordpolicies HTTP/1.1
Host: iam.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 165

{
  "metadata": {},
  "properties": {
    "description": "Password policy for John Doe.",
    "minLength": 1,
    "minNumberChars": 0,
    "minUpperChars": 0,
    "minLowerChars": 0,
    "minSpecialChars": 0
  }
}
{
  "id": "70323699-7c28-58e7-9e0c-ff644f6947a5",
  "type": "passwordpolicy",
  "href": "/passwordpolicies/70323699-7c28-58e7-9e0c-ff644f6947a5",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>"
  },
  "properties": {
    "description": "Password policy for John Doe.",
    "minLength": 1,
    "minNumberChars": 0,
    "minUpperChars": 0,
    "minLowerChars": 0,
    "minSpecialChars": 0
  }
}

Last updated

Was this helpful?